Форум

Конкурс: Ретро авто, обсуждение

07 ноября 2016 17:56 #13508
Пытаюсь конвертировать ресурсы через менеджер проектов. Увидел эту фразу, но qt-faststart ведь по умолчанию есть в FFmpeg,который так же необходим.

Зато вот не помешали бы команды для установки остальных пакетов. Потому как Libav есть в репозиториях, но нет пакета libav-tools или же NVIDIA Texture Tools как ставить? PVRTC для меня вообще загадка что это, даже не гуглится.
Ругается пока вот так - Couldn't find NVIDIA Texture Tools

В этой таблице написаны имена отдельных пакетов достаточных для удовлетворения зависимостей. Самое простое - установить их по отдельности, например, под убунтой 16.04 через консоль: sudo apt install имя_пакета - это как бы очевидное. Если ставить в других дистрибутивах и/или через другие менеджеры пакетов, то тут может быть по-разному. Ваш менеджер предлагает фреймворк ffmpeg целиком вместе с разными пакетами в том числе и qt-faststart. Тот же Libav наверняка содержит libav-tools + другие пакеты. Тут на усмотрение пользователя, раз уж сидит под линуксом, значит должен разбираться .

Нашел пакет в центре ubuntu, но он ругается.
Какие-то проблемы с зависимостями, попробуйте из под консоли пакет поставить, возможно, там будет написано больше информации о проблеме. В ubuntu 16.04 у него есть ряд зависимостей (ссылка), как в вашей системе - не знаю.

PVRTC для меня вообще загадка что это, даже не гуглится.
Про PVRTC инфа здесь: ссылка
- формат очень специфический, использование "очень" опционально.
Команда Blend4Web
07 ноября 2016 18:25 #13511
По поводу скриншотов - возможно, это баг на нашей стороне. Так что на баллах это не скажется

И да, краш эквалайзера - тоже бага. Спасибо, будем фиксить!
3D Художник (Generalist), администратор конкурсов,
команда Blend4Web
арт блог: http://contret-art.tumblr.com/
07 ноября 2016 18:31 #13512
По поводу скриншотов - возможно, это баг на нашей стороне. Так что на баллах это не скажется И да, краш эквалайзера - тоже бага. Спасибо, будем фиксить!

Спасибо вам)

Но раз уж на то пошло, вопрос:

Я пытался получить угол вращения вокруг одной из осей, и подумал, что копать нужно в сторону
get_rotation_euler(obj, destopt)
наткнулся в документации вот на это: get_rotation_euler
дублируется название функции. И при попытке применить ее лог выдает сообщение об ошибке. Точно не помню, но вроде переменная euler не объявлена. и еще мне показалось, что обе функции дублируют друг-друга, но вполне возможно я не прав, т.к. не особо разбираюсь в программировании
07 ноября 2016 18:33 #13514
Если кто из программистов подскажет как все-таки получить угол поворота, относительно только одной оси я буду премного благодарен. В конкурсную работу вносить исправление не буду, это не честно, но в портфолио - да)
07 ноября 2016 19:11 #13516
В этой таблице написаны имена отдельных пакетов достаточных для удовлетворения зависимостей.
Именно в ней и смотрел названия пакетов.


Самое простое - установить их по отдельности, например, под убунтой 16.04 через консоль: sudo apt install имя_пакета - это как бы очевидное.
Еще раз повторю, такого пакета нет в репозитории.
Нашел libnvtt-bin только в подключаемом репозитории nvidia в meta паке, про который ни слова.


значит должен разбираться
ну ламером себя не считаю
В ubuntu 16.04 у него есть ряд зависимостей (ссылка), как в вашей системе - не знаю.
Его и пытался ставить.
Про PVRTC инфа здесь: ссылка
- формат очень специфический, использование "очень" опционально.
Я понял теперь, это для эплов короче нужно, ок.
Baasis - vk.com/baasis - vk.com/pro_blender
OS: Mint 18 Sarah x86_64 Linux 4.4.0-21-generic, DE Cinnamon, CPU: Intel Core i7-2600K CPU @ 6.3GHz, GPU: GeForce GTX 680, GeForce GTX 650 Ti, RAM 16Gb
Браузеры: неадекватный FireFox v49, не люблю но тестирую все на Google Chrome v54, вроде сойдет Vivaldi 1.4.589.38
07 ноября 2016 19:18 #13517
Нашел libnvtt-bin
Он вроде идет вместе с sdk там есть инструкция установки. Все устанавливается и компилируется легко. Unbuntu 15.10

AngryArcticFox Попробовал версию для планшетов на ПК летает
На планшете - Prestigio MultiPad Видео Mali-400 MP2, Лагает жуть. Видно не тянет. Я уж хотел свою демку оптимизировать под него
07 ноября 2016 20:06 #13519
Еще раз повторю, такого пакета нет в репозитории.
Нашел libnvtt-bin только в подключаемом репозитории nvidia в meta паке, про который ни слова.
Для ubuntu последних версий он есть. Собственно, этим и пользуемся, поэтому дополнительные репозитории не искали. Для прочих дистрибутивов мы не проверяли возможность его поставить, для каких-то он есть, для других его будет практически невозможно поставить из-за ошибок зависимостей, в третьих его может не быть в офиц.репозитории и нужно что-то ещё подключать. Ну это уже варианты на страх и риск самого пользователя.
Информация в таблице актуальна для ubuntu 16.04, если у вас Mint, судя по подписи, то этот пакет может отсутствовать.

ну ламером себя не считаю
Да это я не в обиду, просто под линуксом юзерам зачастую приходиться самим копаться/гуглить в случае ошибок и пр, поэтому раз мы не можем гарантировать "безболезненную" установку на остальных дистрибутивах, то это нужно решать на свой страх и риск.

P.S. скиньте адрес репозитория, добавим в документацию как альтернативный вариант
Команда Blend4Web
07 ноября 2016 23:43 #13527
Наверное это уже никто не увидит
У меня аврал какой-то. Перестал экспортировать json файл, ровно как и запускаться fast preview по этой же причине.
Baasis - vk.com/baasis - vk.com/pro_blender
OS: Mint 18 Sarah x86_64 Linux 4.4.0-21-generic, DE Cinnamon, CPU: Intel Core i7-2600K CPU @ 6.3GHz, GPU: GeForce GTX 680, GeForce GTX 650 Ti, RAM 16Gb
Браузеры: неадекватный FireFox v49, не люблю но тестирую все на Google Chrome v54, вроде сойдет Vivaldi 1.4.589.38
07 ноября 2016 23:46 #13528
Наверное это уже никто не увидит



я увидел
а у меня проблема не могу загрузить никак файлы модели и картинки
08 ноября 2016 00:14 #13529
Почему то объект дублируется с подписью shape key и выдает ошибку.
Каждое нажатие на fast preview плодит новый объект с дописыванием shape key.
Если удалить эти странные объекты, то при старте сцены блендер закрывается, просто выбивает его.

Baasis - vk.com/baasis - vk.com/pro_blender
OS: Mint 18 Sarah x86_64 Linux 4.4.0-21-generic, DE Cinnamon, CPU: Intel Core i7-2600K CPU @ 6.3GHz, GPU: GeForce GTX 680, GeForce GTX 650 Ti, RAM 16Gb
Браузеры: неадекватный FireFox v49, не люблю но тестирую все на Google Chrome v54, вроде сойдет Vivaldi 1.4.589.38
 
Пожалуйста, зарегистрируйтесь или войдите под своей учетной записью , чтобы оставлять сообщения.